=== modified file 'debian/changelog'
--- debian/changelog	2010-08-22 16:16:20 +0000
+++ debian/changelog	2010-08-23 15:13:54 +0000
@@ -1,3 +1,10 @@
+rootskel (1.90) unstable; urgency=low
+
+  * Mount /sys on GNU/kFreeBSD as chroot_setup() from di-utils now rely
+    on that.
+
+ -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 15:13:54 +0200
+
 rootskel (1.89) unstable; urgency=low
 
   * Parse kernel parameters and export them to environment variables

=== modified file 'src/etc/fstab-kfreebsd'
--- src/etc/fstab-kfreebsd	2009-08-29 23:53:58 +0000
+++ src/etc/fstab-kfreebsd	2010-08-23 15:13:54 +0000
@@ -1,1 +1,4 @@
+none		/dev		devfs		defaults	0	0
+none		/dev/fd		fdescfs 	defaults	0	0
 none		/proc		linprocfs	defaults        0	0
+none		/sys		linsysfs	defaults        0	0

=== modified file 'src/sbin/init-kfreebsd'
--- src/sbin/init-kfreebsd	2010-08-22 16:16:20 +0000
+++ src/sbin/init-kfreebsd	2010-08-23 15:13:54 +0000
@@ -15,9 +15,10 @@
 
 echo "Setting up filesystem, please wait ..."
 mount -o remount,rw -t ufs /dev/md0 /
-mount -t devfs devfs /dev
-mount -t fdescfs fdescfs /dev/fd
+mount /dev
+mount /dev/fd
 mount /proc
+mount /sys
 ln -s /var/run/log /dev/log
 
 # Get all kernel parameters that can be exported as environment variables

